Bug 473226 - (est_eth_keybrd_mixup) picking estonian (et-ee) keyboard layout at install gives you ethiopian keyboard at first login
picking estonian (et-ee) keyboard layout at install gives you ethiopian keybo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
10
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 03:16 EST by jako
Modified: 2009-12-18 01:58 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:58:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/sysconfig/keyboard (80 bytes, text/plain)
2008-12-13 05:49 EST, Fred New
no flags Details
/etc/sysconfig/i18n (47 bytes, text/plain)
2008-12-13 05:50 EST, Fred New
no flags Details

  None (edit)
Description jako 2008-11-27 03:16:29 EST
Description of problem: Linux newbies in estonia are returned to windows devotees because picking estonian keyboard at install time the system denies users access because of the characters typed in the gdm login screen are ethiopian and thus do not match the password created whilst installed. Even the keyboard layout chooser does not help much.

Version-Release number of selected component (if applicable):

How reproducible:
install Core 10 and specify estonian keyboard during the install process. You will hit the bug during the first login with 100% certainty.

Steps to Reproduce:
1. Select estonian keyboard during the install
2. observe the ethiopian keyboard layout presented during the first login
  
Actual results:
the system has switched from estonian keyboard layout to ethiopian.

Expected results:
no keyboard layout switching should occur.

Additional info:
it has probably something to do with mixup concerning keyboard layout abbreviations and TLD extensions with .et being ethiopian top level domain
Comment 1 Fred New 2008-12-05 15:50:58 EST
I can confirm this behavior as being "always" reproducible.  The symptoms point to gdm, not anaconda, since firstboot accepts the name and password for the non-root user correctly.

Regarding this bug's priority: Selecting the Estonian keyboard before entering the password is an easy work-around, but it might be confusing to novices.
Comment 2 Fred New 2008-12-11 00:03:13 EST
Is there a file I can change the keyboard setting in?  Because of bug 442533, my login screen is black - I am unable to see what I am doing during login and I am unable to correct my keyboard setting.  I would like to be able to login blind, so I can do further testing for bug 442533.
Comment 3 Ray Strode [halfline] 2008-12-12 16:16:17 EST
sounds like an anaconda issue.  If selecting estonian works, then gdm is getting it right.

Can you attach 

/etc/sysconfig/keyboard
and
/etc/sysconfig/i18n

?
Comment 4 Fred New 2008-12-13 05:49:26 EST
Created attachment 326810 [details]
/etc/sysconfig/keyboard
Comment 5 Fred New 2008-12-13 05:50:45 EST
Created attachment 326811 [details]
/etc/sysconfig/i18n
Comment 6 Chris Lumens 2008-12-16 10:24:57 EST
Ray - does gdm look at the KEYTABLE= setting in /etc/sysconfig/keyboard?
Comment 7 Chris Lumens 2008-12-16 11:25:49 EST
Oh, Jeremy explained that he made some changes to rhpl that should fix this, though there's some confusion as to what release they ended up in.  Reassigning to him as a reminder.
Comment 8 Ray Strode [halfline] 2008-12-16 11:39:59 EST
No, it gets its layout information from libxklavier which gets it from xkeyboard-config

I believe that we just use the X default config if the user hasn't picked anything different.

It looks like X uses /usr/bin/fedora-setup-keyboard to pull from /etc/sysconfig/keyboard 

Maybe it should be doing

eval `rhplquery $LAYOUT`

instead of

eval `rhplquery $KEYTABLE`

?
Comment 9 Ray Strode [halfline] 2008-12-16 11:40:42 EST
(I wrote comment 8 before reading comment 7)
Comment 10 Jeremy Katz 2008-12-16 12:52:01 EST
fedora-setup-keyboard is in the X package.  --> ajax
Comment 11 Ray Strode [halfline] 2008-12-16 17:07:20 EST
*** Bug 476615 has been marked as a duplicate of this bug. ***
Comment 12 Bug Zapper 2009-11-18 02:59:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 01:58:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.